using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    /// <summary>
    /// 表示药箱开启手术用药的请求的协议类
    /// </summary>
    public class RequestStartPatientOperationProtocol : EleMedKitProtocol
    {
        public RequestStartPatientOperationProtocol()
        {
            base.Command = EleMedKitCommand.RequestStartPatientOperation;
            MinLines = 4;
        }
        /// <summary>
        /// 获取或设置基站编号
        /// </summary>
        public string? PatientOperationID { get; set; }
        public override string GetContent()
        {
            return base.GetContent()
                + AddLineContent(PatientOperationID)
                + AddLineContent(CountFlag);
        }
        public override bool ParseContent(string[] lines)
        {
            if (!base.ParseContent(lines)
                || lines.Length < MinLines)
            {
                return false;
            }
            PatientOperationID = EleMedKitProtocolHelper.GetLineContent(lines[2]);
            return true;
        }
    }
}
